Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util.weblogic.helper
Class WebLogicHelper

    java.lang.Object
      |
      +--com.beasys.commerce.axiom.util.weblogic.helper.WebLogicHelper

All Implemented Interfaces:
  ToolkitConstants

public class WebLogicHelper
extends Object
implements ToolkitConstants

Single point of access to the application server. This should make it easy to swap out servers, and processes.

Field Summary
`protected static WebLogicHelper` | `cc` Singleton instance.
`protected static boolean` | `debug` Compile out the debug code.
`protected String` | `serverUrl` The weblogic server url.
`protected T3ServicesDef` | `t3Services` Handle to the Weblogic T3 client class.

Fields inherited from interface com.beasys.commerce.axiom.util.ToolkitConstants
`DEFAULT_ID_CACHE, DEFAULT_ID_PROCEDURE, DEFAULT_JDBC_POOL_NAME, DEFAULT_JTS_POOL_NAME, DEFAULT_LOGGING_LEVEL, DEFAULT_WEBLOGIC_HOST, DEFAULT_WEBLOGIC_PORT, ID_CACHE, ID_PROCEDURE, JDBC_POOL_NAME, JTS_POOL_NAME, LOG_DEBUG, LOG_ERROR, LOG_FATAL, LOG_INFO, LOG_SECURITY, LOG_WARNING, LOGGING_LEVEL, WEBLOGIC_HOST, WEBLOGIC_PORT`

Constructor Summary
`protected` | `WebLogicHelper()` Default constructor.

Method Summary
`void` | `finalize()` Destructor.
`int` | `getBuild()` Deprecated. Services that need this should provide internal implementation
`Connection` | `getConnection()` Deprecated. Use `JdbcHelper.getConnection(javax.sql.DataSource, int, long)`
`static WebLogicHelper` | `getInstance()` Get the singleton instance.
`Connection` | `getJDBCConnection()` Deprecated. Use `JdbcHelper.getConnection(javax.sql.DataSource, int, long)`
`Connection` | `getJtsConnection()` Deprecated. Use `JdbcHelper.getConnection(javax.sql.DataSource, int, long)`
`long` | `getNewId()` Deprecated. Use `com.bea.p13n.util.jdbc.Sequencer` and `com.bea.p13n.util.jdbc.SequencerFactory`
`long` | `getNewId(String anId)` Deprecated. Use `com.bea.p13n.util.jdbc.Sequencer` and `com.bea.p13n.util.jdbc.SequencerFactory`
`Object` | `getService(String aLookupName)` Deprecated. Use `JndiHelper` to get the Context and do the lookup.
`T3ServicesDef` | `getT3Services()` Deprecated. Services that need this functionality should implement it internally, and not expose it via a public API.
`TimeServicesDef` | `getTime()` Deprecated. Services that need this functionality should implement it internally, and not expose it via a public API.
`protected void` | `init()` Deprecated.
`void` | `log(int aLevel, String aMsg)` Deprecated. Use Weblogic i18n message logging
`void` | `log(int aLevel, String appName, String aMsg)` Deprecated. Use Weblogic i18n message logging
`void` | `log(String aMsg)` Deprecated. Use Weblogic i18n message logging
`void` | `setupConnection()` Deprecated. Services that need this functionality should implement it internally, and not expose it via a public API.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static final boolean debug

  Compile out the debug code.

  See Also:
    Constant Field Values

### cc

    protected static WebLogicHelper cc

  Singleton instance.

### t3Services

    protected T3ServicesDef t3Services

  Handle to the Weblogic T3 client class.

### serverUrl

    protected String serverUrl

  The weblogic server url. something similar to t3://localhost:7001

Constructor Detail

### WebLogicHelper

    protected WebLogicHelper()

  Default constructor.

Method Detail

### finalize

    public void finalize()
                  throws Throwable

  Destructor.

  Overrides:
    `finalize` in class `Object`
    `Throwable`

### getInstance

    public static WebLogicHelper getInstance()

  Get the singleton instance.

  Returns:
    WebLogicHelper

### getT3Services

    public T3ServicesDef getT3Services()

  Deprecated. Services that need this functionality should implement it internally, and not expose it via a public API.

  Get the services. Subclasses should implement if different.

### getTime

    public TimeServicesDef getTime()

  Deprecated. Services that need this functionality should implement it internally, and not expose it via a public API.

  Get the T3 time service.

  Returns:
    TimeServicesDef the time services.

### init

    protected void init()

  Deprecated.

  Init the connections to the app server.

### setupConnection

    public void setupConnection()
                         throws ToolkitException

  Deprecated. Services that need this functionality should implement it internally, and not expose it via a public API.

  creates a T3Client connection to the Tengah server, creates a jndi context to lookup the TRVClientServices object, and creates a TRVClient

  Throws:
    `ToolkitException` - holder for any exception

### getService

    public Object getService(String aLookupName)
                      throws ToolkitException

  Deprecated. Use `JndiHelper` to get the Context and do the lookup.

  Connect to a reference in JNDI referred to by the lookup name.

  Returns:
    Object the object referenced by the name. Use this to get handles to Home interfaces, RMI objects, etc.
  Throws:
    `ToolkitException` - holder for any exception

### log

    public void log(String aMsg)

  Deprecated. Use Weblogic i18n message logging

  Write to the weblogic logs, with extra information added. The granularity is defined in the properties file.

### log

    public void log(int aLevel,
                    String aMsg)

  Deprecated. Use Weblogic i18n message logging

  Write to the weblogic logs, with extra information added. The granularity is defined in the properties file.

### getBuild

    public int getBuild()

  Deprecated. Services that need this should provide internal implementation

  Get the WebLogic version.

  Returns:
    the version.

### log

    public void log(int aLevel,
                    String appName,
                    String aMsg)

  Deprecated. Use Weblogic i18n message logging

  Write to the weblogic logs, with extra information added. The granularity is defined in the properties file.

  Parameters:
    `appName` - the name of the application logging the message

### getConnection

    public Connection getConnection()
                             throws ToolkitException,
                                    SQLException

  Deprecated. Use `JdbcHelper.getConnection(javax.sql.DataSource, int, long)`

  Get a connection to a pooled database connection in Weblogic.

  Returns:
    Connection pooled connection
    `ToolkitException`
    `SQLException`

### getJDBCConnection

    public Connection getJDBCConnection()
                                 throws ToolkitException,
                                        SQLException

  Deprecated. Use `JdbcHelper.getConnection(javax.sql.DataSource, int, long)`

  Get a straight JDBC connection.

  Returns:
    `Connection`
  Throws:
    ``ToolkitException``
    ``SQLException``
    `ToolkitException`
    `SQLException`

### getJtsConnection

    public Connection getJtsConnection()
                                throws ToolkitException,
                                       SQLException

  Deprecated. Use `JdbcHelper.getConnection(javax.sql.DataSource, int, long)`

  Get connection.

  Returns:
    `Connection`
  Throws:
    ``ToolkitException``
    ``SQLException``
    `ToolkitException`
    `SQLException`

### getNewId

    public long getNewId()
                  throws ToolkitException

  Deprecated. Use `com.bea.p13n.util.jdbc.Sequencer` and `com.bea.p13n.util.jdbc.SequencerFactory`

  Get a unique id for a schema.

  Returns:
    long the new id.
    `ToolkitException`

### getNewId

    public long getNewId(String anId)
                  throws ToolkitException

  Deprecated. Use `com.bea.p13n.util.jdbc.Sequencer` and `com.bea.p13n.util.jdbc.SequencerFactory`

  Get a unique id for a given id.

  Parameters:
    `anId` - the table name, bean name, whatever you want to keep track of unique ids for.
  Returns:
    long the new id.
    `ToolkitException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved